Trace
Date: 2019-10-22

org.jmol.shapebio

## Class Trace

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shapebio.BioShapeCollection
    - - org.jmol.shapebio.Trace

-     public class Trace
      extends BioShapeCollection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `PUTTY_AbsoluteLinear`
    `private static int` | `PUTTY_AbsoluteNonlinear`
    `private static int` | `PUTTY_ImpliedRMS`
    `private static int` | `PUTTY_NormalizedLinear`
    `private static int` | `PUTTY_NormalizedNonlinear`
    `private static int` | `PUTTY_RelativeLinear`
    `private static int` | `PUTTY_RelativeNonlinear`
    `private static int` | `PUTTY_ScaledLinear`
    `private static int` | `PUTTY_ScaledNonlinear`

    - ### Fields inherited from class org.jmol.shapebio.BioShapeCollection

      `atoms, bioShapes, isActive, madDnaRna, madHelixSheet, madOn, madTurnRandom`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trace()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initShape()`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bsSelected)`
    `private void` | `setPutty(float[] info, javajs.util.BS bsAtoms)` PyMOL-based "putty"

    - ### Methods inherited from class org.jmol.shapebio.BioShapeCollection

      `findNearestAtomIndex, getBioShape, getMpsShapeCount, getShapeState, getSizeG, initialize, initModelSet, replaceGroup, setAtomClickability, setModelVisibilityFlags, setPropBSC, setShapeSizeRD`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getTranslucentLabel, initializeShape, setModelSet, setPropS, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUTTY_NormalizedNonlinear

          private static final int PUTTY_NormalizedNonlinear

      See Also:
        Constant Field Values

    - #### PUTTY_RelativeNonlinear

          private static final int PUTTY_RelativeNonlinear

      See Also:
        Constant Field Values

    - #### PUTTY_ScaledNonlinear

          private static final int PUTTY_ScaledNonlinear

      See Also:
        Constant Field Values

    - #### PUTTY_AbsoluteNonlinear

          private static final int PUTTY_AbsoluteNonlinear

      See Also:
        Constant Field Values

    - #### PUTTY_NormalizedLinear

          private static final int PUTTY_NormalizedLinear

      See Also:
        Constant Field Values

    - #### PUTTY_RelativeLinear

          private static final int PUTTY_RelativeLinear

      See Also:
        Constant Field Values

    - #### PUTTY_ScaledLinear

          private static final int PUTTY_ScaledLinear

      See Also:
        Constant Field Values

    - #### PUTTY_AbsoluteLinear

          private static final int PUTTY_AbsoluteLinear

      See Also:
        Constant Field Values

    - #### PUTTY_ImpliedRMS

          private static final int PUTTY_ImpliedRMS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Trace

          public Trace()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `BioShapeCollection`

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bsSelected)

      Overrides:
        `setProperty` in class `BioShapeCollection`

    - #### setPutty

          private void setPutty(float[] info,
                                javajs.util.BS bsAtoms)

      PyMOL-based "putty"
      Parameters:
        `info` - [quality,radius,range,scale_min,scale_max,scale_power,transform]
        `bsAtoms` -